Package edu.sc.seis.TauP

# Class TauP_Path

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Time
edu.sc.seis.TauP.TauP_Pierce
edu.sc.seis.TauP.TauP_Path

Direct Known Subclasses:
  `TauP_Wavefront`

    public class TauP_Path
    extends TauP_Pierce

Calculate travel paths for different phases using a linear interpolated ray parameter between known slowness samples.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `gmtScript` |
  `protected float` | `mapWidth` |
  `protected java.lang.String` | `mapWidthUnit` |
  `protected static double` | `maxPathInc` |
  `protected float` | `maxPathTime` |
  `protected java.lang.String` | `psFile` |
  `protected boolean` | `withTime` |

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Pierce

  `addDepth, onlyAddPoints, onlyRevPoints, onlyTurnPoints, onlyUnderPoints`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Time

  `arrivals, azimuth, backAzimuth, degrees, depth, distKilometers, eventLat, eventLon, GUI, modelName, onlyPrintRayP, onlyPrintTime, phaseNames, receiverDepth, relativeArrival, relativePhaseName, stationLat, stationLon, takeoffAngle, tMod, tModDepth`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `TauP_Path()` |
  `` | `TauP_Path​(TauModel tMod)` |
  `` | `TauP_Path​(TauModel tMod, java.lang.String outFileBase)` |
  `` | `TauP_Path​(java.lang.String modelName)` |
  `` | `TauP_Path​(java.lang.String modelName, java.lang.String outFileBase)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `calculate​(double degrees)` |
  `float` | `getMapWidth()` | Gets the gmt map width to be used with the output script and for creating the circles for each discontinuity.
  `java.lang.String` | `getMapWidthUnit()` |
  `static double` | `getMaxPathInc()` |
  `float` | `getMaxPathTime()` |
  `java.lang.String` | `getOutFileExtension()` |
  `boolean` | `isGmtScript()` |
  `static void` | `main​(java.lang.String[] args)` | Allows TauP_Path to run as an application.
  `java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] args)` |
  `protected void` | `printDistRadius​(java.io.Writer out, double calcDist, double radius)` |
  `protected void` | `printLatLon​(java.io.Writer out, double calcDist)` |
  `void` | `printResult​(java.io.PrintWriter out)` |
  `void` | `printScriptBeginning​(java.io.PrintWriter out)` | a noop that allows overriding classes to print things before results are calculated.
  `void` | `printScriptBeginning​(java.io.PrintWriter out, java.lang.String psFile)` |
  `void` | `printScriptBeginningSVG​(java.io.PrintWriter out)` |
  `void` | `printUsage()` | prints the known command line flags.
  `void` | `setGmtScript​(boolean gmtScript)` |
  `void` | `setMapWidth​(float mapWidth)` | Sets the gmt map width to be used with the output script and for creating the circles for each discontinuity.
  `void` | `setMapWidthUnit​(java.lang.String mapWidthUnit)` |
  `static void` | `setMaxPathInc​(double max)` |
  `void` | `setMaxPathTime​(float maxPathTime)` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Pierce

  `appendAddDepths, depthCorrect, isAddDepth, parseAddDepthsList, setAddDepths, setOnlyAddPoints, setOnlyRevPoints, setOnlyTurnPoints, setOnlyUnderPoints`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Time

  `appendPhaseName, appendPhaseName, calcTakeoff, calcTime, clearArrivals, clearPhaseNames, clearPhases, depthCorrect, destroy, getArrival, getArrivals, getDisconDepths, getNumArrivals, getNumPhases, getPhaseNames, getPhaseNames, getPhaseNameString, getReceiverDepth, getSeismicPhases, getSourceDepth, getTauModel, getTauModelDepthCorrected, getTauModelName, init, linearInterp, loadTauModel, parseDegreeList, parsePhaseList, printHelp, printResultJSON, printResultText, printStdUsage, printStdUsageHead, readPhaseFile, readTauModel, recalcPhases, setPhaseNames, setPhaseNames, setReceiverDepth, setSourceDepth, setTauModel, sortArrivals`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mapWidthUnit

    protected java.lang.String mapWidthUnit

  - ### mapWidth

    protected float mapWidth

  - ### gmtScript

    protected boolean gmtScript

  - ### withTime

    protected boolean withTime

  - ### psFile

    protected java.lang.String psFile

  - ### maxPathTime

    protected float maxPathTime

  - ### maxPathInc

    protected static double maxPathInc

- ## Constructor Details

  - ### TauP_Path

    protected TauP_Path()

  - ### TauP_Path

    public TauP_Path​(TauModel tMod) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Path

    public TauP_Path​(java.lang.String modelName) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Path

    public TauP_Path​(TauModel tMod, java.lang.String outFileBase) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Path

    public TauP_Path​(java.lang.String modelName, java.lang.String outFileBase) throws TauModelException
    Throws:
      `TauModelException`

- ## Method Details

  - ### getOutFileExtension

    public java.lang.String getOutFileExtension()
    Overrides:
      `getOutFileExtension` in class `TauP_Tool`

  - ### setMapWidth

    public void setMapWidth​(float mapWidth)
    Sets the gmt map width to be used with the output script and for creating the circles for each discontinuity. Default is 6 inches.

  - ### getMapWidth

    public float getMapWidth()
    Gets the gmt map width to be used with the output script and for creating the circles for each discontinuity.

  - ### getMapWidthUnit

    public java.lang.String getMapWidthUnit()

  - ### setMapWidthUnit

    public void setMapWidthUnit​(java.lang.String mapWidthUnit)

  - ### getMaxPathTime

    public float getMaxPathTime()

  - ### setMaxPathTime

    public void setMaxPathTime​(float maxPathTime)

  - ### isGmtScript

    public boolean isGmtScript()

  - ### setGmtScript

    public void setGmtScript​(boolean gmtScript)

  - ### getMaxPathInc

    public static double getMaxPathInc()

  - ### setMaxPathInc

    public static void setMaxPathInc​(double max)

  - ### calculate

    public void calculate​(double degrees) throws TauModelException
    Overrides:
      `calculate` in class `TauP_Pierce`
    Throws:
      `TauModelException`

  - ### printResult

    public void printResult​(java.io.PrintWriter out) throws java.io.IOException
    Overrides:
      `printResult` in class `TauP_Pierce`
    Throws:
      `java.io.IOException`

  - ### printDistRadius

    protected void printDistRadius​(java.io.Writer out, double calcDist, double radius) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### printLatLon

    protected void printLatLon​(java.io.Writer out, double calcDist) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### printScriptBeginning

    public void printScriptBeginning​(java.io.PrintWriter out) throws java.io.IOException
    Description copied from class: `TauP_Tool`
    a noop that allows overriding classes to print things before results are calculated. For example to set up GMT commands before drawing paths.
    Overrides:
      `printScriptBeginning` in class `TauP_Tool`
    Throws:
      `java.io.IOException`

  - ### printScriptBeginningSVG

    public void printScriptBeginningSVG​(java.io.PrintWriter out) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### printScriptBeginning

    public void printScriptBeginning​(java.io.PrintWriter out, java.lang.String psFile) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### printUsage

    public void printUsage()
    Description copied from class: `TauP_Pierce`
    prints the known command line flags.
    Overrides:
      `printUsage` in class `TauP_Pierce`

  - ### parseCmdLineArgs

    public java.lang.String[] parseCmdLineArgs​(java.lang.String[] args) throws java.io.IOException
    Overrides:
      `parseCmdLineArgs` in class `TauP_Pierce`
    Throws:
      `java.io.IOException`

  - ### start

    public void start() throws java.io.IOException, TauModelException, TauPException
    Overrides:
      `start` in class `TauP_Time`
    Throws:
      `java.io.IOException`
      `TauModelException`
      `TauPException`

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    Allows TauP_Path to run as an application. Creates an instance of TauP_Path and calls TauP_Path.init() and TauP_Path.start(). ToolRun.main should be used instead.
    Throws:
      `java.io.IOException`